提问之后,显示“回答中....“,过很久之后,提示“connect error“

配置:8核CPU,16G内存。
模型:llama2与qwein:0.5b
两个模型都一样,提问时一直显示“回答中…“,过很久之后,提示“connect error“

难道大家安装配置好之后,使用都是正常的吗?

如果机器性能不理想的话建议跑小模型 比如qwen:0.5b
大语言模型非常耗费机器性能 目前测试下来 12核的cpu勉强跑llama2:7b

使用qwen:0.5b,也是一样的啊

rtx4090也是同样的问题,报错如下:

docker logs 429b9b7fe929

PostgreSQL Database directory appears to contain a database; Skipping initialization

2024-04-22 09:16:57.921 CST [7] LOG:  starting PostgreSQL 15.6 (Debian 15.6-1.pgdg120+2) on x86_64-pc-linux-gnu, compiled by gcc (Debian 12.2.0-14) 12.2.0, 64-bit
2024-04-22 09:16:57.921 CST [7] LOG:  listening on IPv4 address "0.0.0.0", port 5432
2024-04-22 09:16:57.921 CST [7] LOG:  listening on IPv6 address "::", port 5432
2024-04-22 09:16:57.924 CST [7] LOG:  listening on Unix socket "/var/run/postgresql/.s.PGSQL.5432"
2024-04-22 09:16:57.929 CST [30] LOG:  database system was interrupted; last known up at 2024-04-22 09:11:39 CST
2024-04-22 09:16:59.239 CST [30] LOG:  database system was not properly shut down; automatic recovery in progress
2024-04-22 09:16:59.243 CST [30] LOG:  redo starts at 0/1EE81B8
2024-04-22 09:16:59.243 CST [30] LOG:  invalid record length at 0/1EE82A0: wanted 24, got 0
2024-04-22 09:16:59.243 CST [30] LOG:  redo done at 0/1EE8268 system usage: CPU: user: 0.00 s, system: 0.00 s, elapsed: 0.00 s
2024-04-22 09:16:59.251 CST [28] LOG:  checkpoint starting: end-of-recovery immediate wait
2024-04-22 09:16:59.261 CST [28] LOG:  checkpoint complete: wrote 3 buffers (0.0%); 0 WAL file(s) added, 0 removed, 0 recycled; write=0.003 s, sync=0.002 s, total=0.012 s; sync files=2, longest=0.001 s, average=0.001 s; distance=0 kB, estimate=0 kB
2024-04-22 09:16:59.263 CST [7] LOG:  database system is ready to accept connections
127.0.0.1:5432 - accepting connections
Operations to perform:
  Apply all migrations: application, contenttypes, dataset, django_apscheduler, embedding, setting, users
Running migrations:
  No migrations to apply.
  Your models in app(s): 'application' have changes that are not yet reflected in a migration, and so won't be applied.
  Run 'manage.py makemigrations' to make new migrations, and then re-run 'manage.py migrate' to apply them.
Operations to perform:
  Apply all migrations: application, contenttypes, dataset, django_apscheduler, embedding, setting, users
Running migrations:
  No migrations to apply.
  Your models in app(s): 'application' have changes that are not yet reflected in a migration, and so won't be applied.
  Run 'manage.py makemigrations' to make new migrations, and then re-run 'manage.py migrate' to apply them.
The cache for model files in Transformers v4.22.0 has been updated. Migrating your old cache. This is a one-time only operation. You can interrupt this and resume the migration later on by calling `transformers.utils.move_cache()`.
April 22, 2024 - 09:17:09
Django version 4.1.13, using settings 'smartdoc.settings'
Starting development server at http://0.0.0.0:8080/
Quit the server with CONTROL-C.
0it [00:00, ?it/s]
2024-04-22 09:17:11 [basehttp INFO] "GET /ui/template HTTP/1.1" 200 460
2024-04-22 09:17:11 [basehttp INFO] "GET /ui/assets/index-a95efa4f.css HTTP/1.1" 200 437815
2024-04-22 09:17:11 [basehttp INFO] "GET /ui/assets/index-79ec993e.js HTTP/1.1" 200 3341741
2024-04-22 09:17:11 [log WARNING] Unauthorized: /api/user
2024-04-22 09:17:11 [basehttp WARNING] "GET /api/user HTTP/1.1" 401 127
2024-04-22 09:17:11 [basehttp INFO] "GET /ui/favicon.ico HTTP/1.1" 200 8154
2024-04-22 09:17:11 [basehttp INFO] "GET /ui/assets/index-e381b3c0.js HTTP/1.1" 200 1913
2024-04-22 09:17:12 [basehttp INFO] "GET /ui/assets/logo-a75e812b.png HTTP/1.1" 200 8154
2024-04-22 09:17:12 [basehttp INFO] "GET /ui/assets/login-0e36dbc5.jpg HTTP/1.1" 200 788274
2024-04-22 09:17:15 [basehttp INFO] "POST /api/user/login HTTP/1.1" 200 103
2024-04-22 09:17:34 [basehttp INFO] "POST /api/user/login HTTP/1.1" 200 103
2024-04-22 09:17:35 [basehttp INFO] "POST /api/user/login HTTP/1.1" 200 103
2024-04-22 09:17:37 [basehttp INFO] "POST /api/user/login HTTP/1.1" 200 103
2024-04-22 09:17:37 [basehttp INFO] "POST /api/user/login HTTP/1.1" 200 103
2024-04-22 09:18:06 [basehttp INFO] "GET /ui/login HTTP/1.1" 200 460
2024-04-22 09:18:06 [basehttp INFO] "GET /ui/assets/index-a95efa4f.css HTTP/1.1" 304 0
2024-04-22 09:18:06 [basehttp INFO] "GET /ui/assets/index-79ec993e.js HTTP/1.1" 304 0
2024-04-22 09:18:06 [basehttp INFO] "GET /ui/assets/index-e381b3c0.js HTTP/1.1" 304 0
2024-04-22 09:18:06 [basehttp INFO] "GET /ui/assets/login-0e36dbc5.jpg HTTP/1.1" 304 0
2024-04-22 09:18:06 [basehttp INFO] "GET /ui/assets/logo-a75e812b.png HTTP/1.1" 304 0
2024-04-22 09:18:12 [basehttp INFO] "POST /api/user/login HTTP/1.1" 200 103
2024-04-22 09:18:18 [basehttp INFO] "POST /api/user/login HTTP/1.1" 200 222
2024-04-22 09:18:18 [basehttp INFO] "GET /api/user HTTP/1.1" 200 645
2024-04-22 09:18:18 [basehttp INFO] "GET /api/profile HTTP/1.1" 200 117
2024-04-22 09:18:18 [basehttp INFO] "GET /ui/assets/UserPwdDialog.vue_vue_type_script_setup_true_lang-0bb46c27.js HTTP/1.1" 200 2622
2024-04-22 09:18:18 [basehttp INFO] "GET /ui/assets/index-96d91506.css HTTP/1.1" 200 344
2024-04-22 09:18:18 [basehttp INFO] "GET /ui/assets/index-35bcd1e2.js HTTP/1.1" 200 3473
2024-04-22 09:18:18 [basehttp INFO] "GET /ui/assets/index-bb84468b.css HTTP/1.1" 200 239
2024-04-22 09:18:18 [basehttp INFO] "GET /ui/assets/index-76bc89bf.js HTTP/1.1" 200 8834
2024-04-22 09:18:18 [basehttp INFO] "GET /ui/assets/user-icon-c413d294.svg HTTP/1.1" 200 1033
/opt/py3/lib/python3.11/site-packages/django/db/models/base.py:364: RuntimeWarning: Model 'dataset.dynamics' was already registered. Reloading models is not advised as it can lead to inconsistencies, most notably with related models.
  new_class._meta.apps.register_model(new_class._meta.app_label, new_class)
2024-04-22 09:18:18 [basehttp INFO] "GET /api/application/1/20 HTTP/1.1" 200 103
2024-04-22 09:18:23 [basehttp INFO] "GET /ui/assets/index-e5748a7e.js HTTP/1.1" 200 6690
2024-04-22 09:18:23 [basehttp INFO] "GET /ui/assets/index-1d62100c.css HTTP/1.1" 200 47
2024-04-22 09:18:23 [basehttp INFO] "GET /api/user_manage/1/20 HTTP/1.1" 200 369
2024-04-22 09:18:26 [basehttp INFO] "GET /ui/assets/index-970b07d2.css HTTP/1.1" 200 295
2024-04-22 09:18:26 [basehttp INFO] "GET /ui/assets/index-b4402084.js HTTP/1.1" 200 4357
2024-04-22 09:18:26 [basehttp INFO] "GET /ui/assets/SyncWebDialog-6d0de0bf.css HTTP/1.1" 200 280
2024-04-22 09:18:26 [basehttp INFO] "GET /ui/assets/SyncWebDialog-9f1fb727.js HTTP/1.1" 200 2158
2024-04-22 09:18:26 [basehttp INFO] "GET /api/dataset/1/20 HTTP/1.1" 200 420
2024-04-22 09:18:26 [basehttp INFO] "GET /ui/assets/icon_document-2fa30876.svg HTTP/1.1" 200 1376
2024-04-22 09:18:28 [basehttp INFO] "GET /api/user_manage/1/20 HTTP/1.1" 200 369
2024-04-22 09:18:30 [basehttp INFO] "GET /ui/assets/SelectProviderDialog.vue_vue_type_script_setup_true_lang-37fe6b3e.js HTTP/1.1" 200 5012
2024-04-22 09:18:30 [basehttp INFO] "GET /ui/assets/index-c6f3b4e0.css HTTP/1.1" 200 1275
2024-04-22 09:18:30 [basehttp INFO] "GET /ui/assets/index-288586c6.js HTTP/1.1" 200 10855
2024-04-22 09:18:30 [basehttp INFO] "GET /ui/assets/SelectProviderDialog-77ead7db.css HTTP/1.1" 200 280
2024-04-22 09:18:30 [basehttp INFO] "GET /api/provider HTTP/1.1" 200 65381
2024-04-22 09:18:30 [basehttp INFO] "GET /api/model?name= HTTP/1.1" 200 52
2024-04-22 09:18:32 [basehttp INFO] "GET /api/model?name=&provider=model_ollama_provider HTTP/1.1" 200 52
2024-04-22 09:18:33 [basehttp INFO] "GET /api/provider/model_type_list?provider=model_ollama_provider HTTP/1.1" 200 109
2024-04-22 09:18:37 [basehttp INFO] "GET /api/provider/model_list?provider=model_ollama_provider&model_type=LLM HTTP/1.1" 200 1737
2024-04-22 09:18:40 [basehttp INFO] "GET /api/provider/model_form?provider=model_ollama_provider&model_type=LLM&model_name=llama2 HTTP/1.1" 200 542
2024-04-22 09:19:16 [basehttp INFO] "POST /api/model HTTP/1.1" 200 325
2024-04-22 09:19:16 [basehttp INFO] "GET /api/model?name=&provider=model_ollama_provider HTTP/1.1" 200 230
2024-04-22 09:19:22 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 661
2024-04-22 09:19:28 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 662
2024-04-22 09:19:34 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 663
2024-04-22 09:19:40 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 663
2024-04-22 09:19:46 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 663
2024-04-22 09:19:52 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 664
2024-04-22 09:19:58 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 664
2024-04-22 09:20:04 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 665
2024-04-22 09:20:10 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 664
2024-04-22 09:20:16 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 664
2024-04-22 09:20:22 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 664
2024-04-22 09:20:28 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 664
2024-04-22 09:20:34 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 664
2024-04-22 09:20:40 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 652
2024-04-22 09:20:46 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 1157
2024-04-22 09:20:52 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 1679
2024-04-22 09:20:58 [basehttp INFO] "GET /api/model/5636085c-0046-11ef-952c-0242ac110002/meta HTTP/1.1" 200 264
2024-04-22 09:21:14 [basehttp INFO] "GET /api/application/1/20 HTTP/1.1" 200 103
2024-04-22 09:21:15 [basehttp INFO] "GET /ui/assets/CreateAndSetting-98e4fe47.js HTTP/1.1" 200 14664
2024-04-22 09:21:15 [basehttp INFO] "GET /ui/assets/CreateAndSetting-a81b7256.css HTTP/1.1" 200 796
2024-04-22 09:21:15 [basehttp INFO] "GET /ui/assets/MdEditor-b230bd73.js HTTP/1.1" 200 611616
2024-04-22 09:21:15 [basehttp INFO] "GET /ui/assets/icon_robot-c95ad06b.svg HTTP/1.1" 200 1337
2024-04-22 09:21:15 [basehttp INFO] "GET /ui/assets/icon_send-280a4ce1.svg HTTP/1.1" 200 945
2024-04-22 09:21:15 [basehttp INFO] "GET /ui/assets/icon_send_colorful-1f161525.svg HTTP/1.1" 200 1415
2024-04-22 09:21:15 [basehttp INFO] "GET /api/model HTTP/1.1" 200 266
2024-04-22 09:21:15 [basehttp INFO] "GET /api/dataset HTTP/1.1" 200 369
2024-04-22 09:21:15 [basehttp INFO] "GET /api/provider HTTP/1.1" 200 65381
2024-04-22 09:21:31 [basehttp INFO] "POST /api/application HTTP/1.1" 200 54
2024-04-22 09:21:31 [basehttp INFO] "GET /api/application/1/20 HTTP/1.1" 200 1986
2024-04-22 09:21:33 [basehttp INFO] "GET /api/application/a68ae930-0046-11ef-9f1e-0242ac110002/access_token HTTP/1.1" 200 223
2024-04-22 09:21:37 [basehttp INFO] "GET /ui/chat/bcd5bf94e71e04be HTTP/1.1" 200 460
2024-04-22 09:21:37 [basehttp INFO] "GET /ui/assets/index-79ec993e.js HTTP/1.1" 304 0
2024-04-22 09:21:37 [basehttp INFO] "GET /ui/assets/index-a95efa4f.css HTTP/1.1" 304 0
2024-04-22 09:21:37 [basehttp INFO] "GET /ui/assets/index-40096f8f.js HTTP/1.1" 200 968
2024-04-22 09:21:37 [basehttp INFO] "GET /ui/assets/index-8ad36ebb.css HTTP/1.1" 200 809
2024-04-22 09:21:37 [basehttp INFO] "POST /api/application/authentication HTTP/1.1" 200 403
2024-04-22 09:21:38 [basehttp INFO] "GET /api/application/profile HTTP/1.1" 200 506
2024-04-22 09:21:40 [basehttp INFO] "GET /ui/assets/user-icon-c413d294.svg HTTP/1.1" 304 0
2024-04-22 09:21:40 [basehttp INFO] "GET /ui/assets/icon_robot-c95ad06b.svg HTTP/1.1" 304 0
2024-04-22 09:21:40 [basehttp INFO] "GET /api/application/a68ae930-0046-11ef-9f1e-0242ac110002/chat/open HTTP/1.1" 200 88
2024-04-22 09:21:42 [handle_exception ERROR] Connection error.:Traceback (most recent call last):
  File "/opt/py3/lib/python3.11/site-packages/httpx/_transports/default.py", line 69, in map_httpcore_exceptions
    yield
  File "/opt/py3/lib/python3.11/site-packages/httpx/_transports/default.py", line 233, in handle_request
    resp = self._pool.handle_request(req)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/httpcore/_sync/connection_pool.py", line 216, in handle_request
    raise exc from None
  File "/opt/py3/lib/python3.11/site-packages/httpcore/_sync/connection_pool.py", line 196, in handle_request
    response = connection.handle_request(
               ^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/httpcore/_sync/connection.py", line 101, in handle_request
    return self._connection.handle_request(request)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/httpcore/_sync/http11.py", line 143, in handle_request
    raise exc
  File "/opt/py3/lib/python3.11/site-packages/httpcore/_sync/http11.py", line 93, in handle_request
    self._send_request_headers(**kwargs)
  File "/opt/py3/lib/python3.11/site-packages/httpcore/_sync/http11.py", line 151, in _send_request_headers
    with map_exceptions({h11.LocalProtocolError: LocalProtocolError}):
  File "/usr/lib/python3.11/contextlib.py", line 155, in __exit__
    self.gen.throw(typ, value, traceback)
  File "/opt/py3/lib/python3.11/site-packages/httpcore/_exceptions.py", line 14, in map_exceptions
    raise to_exc(exc) from exc
httpcore.LocalProtocolError: Illegal header value b'Bearer  '

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/py3/lib/python3.11/site-packages/openai/_base_client.py", line 950, in _request
    response = self._client.send(
               ^^^^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/httpx/_client.py", line 914, in send
    response = self._send_handling_auth(
               ^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/httpx/_client.py", line 942, in _send_handling_auth
    response = self._send_handling_redirects(
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/httpx/_client.py", line 979, in _send_handling_redirects
    response = self._send_single_request(request)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/httpx/_client.py", line 1015, in _send_single_request
    response = transport.handle_request(request)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/httpx/_transports/default.py", line 232, in handle_request
    with map_httpcore_exceptions():
  File "/usr/lib/python3.11/contextlib.py", line 155, in __exit__
    self.gen.throw(typ, value, traceback)
  File "/opt/py3/lib/python3.11/site-packages/httpx/_transports/default.py", line 86, in map_httpcore_exceptions
    raise mapped_exc(message) from exc
httpx.LocalProtocolError: Illegal header value b'Bearer  '

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/py3/lib/python3.11/site-packages/rest_framework/views.py", line 506, in dispatch
    response = handler(request, *args, **kwargs)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/maxkb/app/apps/common/auth/authentication.py", line 94, in run
    return func(view, request, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/maxkb/app/apps/application/views/chat_views.py", line 102, in post
    'client_type': request.auth.client_type}).chat()
                                              ^^^^^^
  File "/opt/maxkb/app/apps/application/serializers/chat_message_serializers.py", line 201, in chat
    pipeline_message.run(params)
  File "/opt/maxkb/app/apps/application/chat_pipeline/pipeline_manage.py", line 29, in run
    step.run(self)
  File "/opt/maxkb/app/apps/application/chat_pipeline/I_base_chat_pipeline.py", line 122, in run
    self._run(manage)
  File "/opt/maxkb/app/apps/application/chat_pipeline/step/reset_problem_step/i_reset_problem_step.py", line 37, in _run
    padding_problem = self.execute(**self.context.get('step_args'))
                      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/maxkb/app/apps/application/chat_pipeline/step/reset_problem_step/impl/base_reset_problem_step.py", line 31, in execute
    response = chat_model.invoke(message_list)
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/langchain_core/language_models/chat_models.py", line 158, in invoke
    self.generate_prompt(
  File "/opt/py3/lib/python3.11/site-packages/langchain_core/language_models/chat_models.py", line 560, in generate_prompt
    return self.generate(prompt_messages, stop=stop, callbacks=callbacks, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/langchain_core/language_models/chat_models.py", line 421, in generate
    raise e
  File "/opt/py3/lib/python3.11/site-packages/langchain_core/language_models/chat_models.py", line 411, in generate
    self._generate_with_cache(
  File "/opt/py3/lib/python3.11/site-packages/langchain_core/language_models/chat_models.py", line 632, in _generate_with_cache
    result = self._generate(
             ^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/langchain_community/chat_models/openai.py", line 441, in _generate
    response = self.completion_with_retry(
               ^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/langchain_community/chat_models/openai.py", line 356, in completion_with_retry
    return self.client.create(**kwargs)
           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/openai/_utils/_utils.py", line 277, in wrapper
    return func(*args, **kwargs)
           ^^^^^^^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/openai/resources/chat/completions.py", line 581, in create
    return self._post(
           ^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/openai/_base_client.py", line 1232, in post
    return cast(ResponseT, self.request(cast_to, opts, stream=stream, stream_cls=stream_cls))
                           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/openai/_base_client.py", line 921, in request
    return self._request(
           ^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/openai/_base_client.py", line 974, in _request
    return self._retry_request(
           ^^^^^^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/openai/_base_client.py", line 1045, in _retry_request
    return self._request(
           ^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/openai/_base_client.py", line 974, in _request
    return self._retry_request(
           ^^^^^^^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/openai/_base_client.py", line 1045, in _retry_request
    return self._request(
           ^^^^^^^^^^^^^^
  File "/opt/py3/lib/python3.11/site-packages/openai/_base_client.py", line 984, in _request
    raise APIConnectionError(request=request) from err
openai.APIConnectionError: Connection error.

2024-04-22 09:21:42 [basehttp INFO] "POST /api/application/chat_message/abddef68-0046-11ef-83ce-0242ac110002 HTTP/1.1" 200 59
2024-04-22 09:21:59.368 CST [28] LOG:  checkpoint starting: time
2024-04-22 09:22:03.542 CST [28] LOG:  checkpoint complete: wrote 42 buffers (0.3%); 0 WAL file(s) added, 0 removed, 0 recycled; write=4.143 s, sync=0.026 s, total=4.175 s; sync files=28, longest=0.002 s, average=0.001 s; distance=25 kB, estimate=25 kB